API Reference
Public API
Public endpoints requiring no authentication
Endpoints in this group
GET
/v1/verify/{certificateId}Verify a certificate (public endpoint)
Parameters
| Parameter | In | Type | Req | Description |
|---|---|---|---|---|
certificateId | path | string | Yes | Certificate ID |
Responses
200Certificate verification result404Certificate not found
| Field | Type | Req | Description |
|---|---|---|---|
valid | boolean | No | |
certificate | Certificate | No | |
record | object | No | |
verifiedAt | string (date-time) | No | |
reason | string | null | No |
Example request
cURL
curl -X GET "https://api.bedrockcompliance.co.uk/v1/verify/<certificateId>" \
-H "X-Bedrock-Key: bk_live_your_api_key"GET
/healthHealth check
Check API health status
Responses
200API is healthy
| Field | Type | Req | Description |
|---|---|---|---|
status | string | No | |
timestamp | string (date-time) | No |
Example request
cURL
curl -X GET "https://api.bedrockcompliance.co.uk/health" \
-H "X-Bedrock-Key: bk_live_your_api_key"GET
/.well-known/signing-keyGet the public signing key
Returns the public signing key used to sign ledger chain hashes
Responses
200Public key in base64
| Field | Type | Req | Description |
|---|---|---|---|
publicKey | string | No | Base64-encoded public key |
algorithm | string | No |
Example request
cURL
curl -X GET "https://api.bedrockcompliance.co.uk/.well-known/signing-key" \
-H "X-Bedrock-Key: bk_live_your_api_key"